# Get Available Couriers

This endpoint is used to retrieve available couriers based on your specified route, which can be one of the following: `interstate`, `intrastate`, `international`, `frozen-international`, `international_us`, or `all`. The response from this endpoint can then be used as the `carrier_name` in the [Get Single Rate](/api-references/get-single-rate.md) endpoint.

Additionally, the `type` parameter is required in this request, and it must be set to one of the specified routes to retrieve the relevant couriers. Ensure that this parameter is included in the endpoint call for accurate results.

Note:

* **interstate**: Shipping between different states within the same country.
* **intrastate**: Shipping within a single state.
* **international\_us**: Shipping within the United States.
* **international**: Shipping between different countries.
* **frozen-international**: Shipping frozen items (e.g., foodstuffs) internationally. Supported countries include shipping from Nigeria to the US, Canada, and the UK.

## Request Sample

{% tabs %}
{% tab title="Curl" %}

```javascript
curl --location 'https://delivery-staging.apiideraos.com/api/v2/token/shipments/courier-partners/?type=all' \
--header 'Authorization: Bearer Secret Key'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://delivery-staging.apiideraos.com/api/v2/token/shipments/courier-partners/?type=all"

payload = {}
headers = {
  'Authorization': 'Bearer Secret Key'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require "uri"
require "net/http"

url = URI("https://delivery-staging.apiideraos.com/api/v2/token/shipments/courier-partners/?type=all")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer Secret Key"

response = https.request(request)
puts response.read_body

```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://delivery-staging.apiideraos.com/api/v2/token/shipments/courier-partners/?type=all',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer Secret Key'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="Javascript" %}

```javascript
const myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer Secret Key");

const requestOptions = {
  method: "GET",
  headers: myHeaders,
  redirect: "follow"
};

fetch("https://delivery-staging.apiideraos.com/api/v2/token/shipments/courier-partners/?type=all", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

{% endtab %}

{% tab title="Golang" %}

```go
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://delivery-staging.apiideraos.com/api/v2/token/shipments/courier-partners/?type=all"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer Secret Key")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}

## Response Sample

{% tabs %}
{% tab title="422" %}

```json
{
    "status": false,
    "message": "The type field is required."
}
```

{% endtab %}

{% tab title="200" %}

```json
{
    "data": [
        {
            "name": "dane",
            "price": 1200,
            "pod": false,
            "logo": null
        },
        {
            "name": "truq",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "uber",
            "price": 1000,
            "pod": true,
            "logo": null
        },
        {
            "name": "amstel",
            "price": 1200,
            "pod": false,
            "logo": null
        },
        {
            "name": "mavex",
            "price": 1000,
            "pod": false,
            "logo": null
        },
        {
            "name": "snap",
            "price": 500,
            "pod": false,
            "logo": null
        },
        {
            "name": "sendstack",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "gig",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "kongabike",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "kongavan",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "shapshap",
            "price": 0,
            "pod": true,
            "logo": null
        },
        {
            "name": "kwik",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "courierplus",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "tranex",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "prostar",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "abc",
            "price": 1000,
            "pod": false,
            "logo": null
        },
        {
            "name": "errandlr",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "ski",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "dellyman",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "instadrop",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "shippo",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "shiip",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "jand2gidi",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "flocargo",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "aramex",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "shiptonaija",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "dhl",
            "price": 1100,
            "pod": false,
            "logo": null
        },
        {
            "name": "fedex",
            "price": 9000,
            "pod": false,
            "logo": null
        },
        {
            "name": "ups",
            "price": 0,
            "pod": false,
            "logo": null
        },
        {
            "name": "topship",
            "price": 0,
            "pod": false,
            "logo": null
        }
    ],
    "status": true,
    "message": "OK",
    "status_code": 200
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.goshiip.com/api-references/get-available-couriers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
